Create a task for pre-migration analysis

POST /analysis/{projectId}/task

Create a task for pre-migration analysis.

Path parameters

  • projectId string Required

    Project ID

    Format should match the following pattern: ^[A-Za-z0-9\-]+$.

application/json

Body Required

  • jdbcConnectionDetails object Required

    Additional properties are NOT allowed.

    Hide jdbcConnectionDetails attributes Show jdbcConnectionDetails attributes object
    • id string
    • type string Required

      Database type or a custom database type. For example, MYSQL, ORACLE, POSTGRESQL, SQL_SERVER, COCKROACHDB, DB2, SQLANYWHERE, SYBASE, SYBASEIQ, or YUGABYTE.

    • url string Required
    • user string
    • password string
    • savePassword boolean

      Default value is false.

    • existingConnectionId string
    • oraclePdbName string
    • isManualUri boolean

      Default value is false.

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • projectId string Required

      Format should match the following pattern: ^[A-Za-z0-9\-]+$.

    • status string Required

      Values are RUNNING, FAILED, CANCELLED, or COMPLETED.

    • submittedAt string(date-time) Required
  • 400 application/json

    Bad request

    Hide response attributes Show response attributes object
    • errorType string Required

      An error category identifying what kind of error occurred.

    • message string Required

      A human-readable explanation of what went wrong.

    • timestamp string(date-time) Required

      The date and time the error occurred.

    • issues array[object]

      The individual problems that make up this error.

      At least 1 element.

      Hide issues attributes Show issues attributes object
      • type string Required

        An error category identifying what kind of issue occurred (SNAKE_CASE).

      • message string Required

        A human-readable explanation of what went wrong.

      • pointer string

        JSON Pointer (RFC 6901) to the offending node.

  • 409 application/json

    Conflict

    Hide response attributes Show response attributes object
    • errorType string Required

      An error category identifying what kind of error occurred.

    • message string Required

      A human-readable explanation of what went wrong.

    • timestamp string(date-time) Required

      The date and time the error occurred.

    • issues array[object]

      The individual problems that make up this error.

      At least 1 element.

      Hide issues attributes Show issues attributes object
      • type string Required

        An error category identifying what kind of issue occurred (SNAKE_CASE).

      • message string Required

        A human-readable explanation of what went wrong.

      • pointer string

        JSON Pointer (RFC 6901) to the offending node.

  • 422 application/json

    Unprocessable Entity

    Hide response attributes Show response attributes object
    • errorType string Required

      An error category identifying what kind of error occurred.

    • message string Required

      A human-readable explanation of what went wrong.

    • timestamp string(date-time) Required

      The date and time the error occurred.

    • issues array[object]

      The individual problems that make up this error.

      At least 1 element.

      Hide issues attributes Show issues attributes object
      • type string Required

        An error category identifying what kind of issue occurred (SNAKE_CASE).

      • message string Required

        A human-readable explanation of what went wrong.

      • pointer string

        JSON Pointer (RFC 6901) to the offending node.

  • 500 application/json

    Internal Server Error

    Hide response attributes Show response attributes object
    • errorType string Required

      An error category identifying what kind of error occurred.

    • message string Required

      A human-readable explanation of what went wrong.

    • timestamp string(date-time) Required

      The date and time the error occurred.

    • issues array[object]

      The individual problems that make up this error.

      At least 1 element.

      Hide issues attributes Show issues attributes object
      • type string Required

        An error category identifying what kind of issue occurred (SNAKE_CASE).

      • message string Required

        A human-readable explanation of what went wrong.

      • pointer string

        JSON Pointer (RFC 6901) to the offending node.

POST /analysis/{projectId}/task
curl \
 --request POST 'http://127.0.0.1:8278/api/v1/analysis/{projectId}/task' \
 --header "Content-Type: application/json" \
 --data '{"jdbcConnectionDetails":{"id":"string","type":"ORACLE","url":"string","user":"string","password":"string","savePassword":false,"existingConnectionId":"string","oraclePdbName":"string","isManualUri":false}}'
Request examples
{
  "jdbcConnectionDetails": {
    "id": "string",
    "type": "ORACLE",
    "url": "string",
    "user": "string",
    "password": "string",
    "savePassword": false,
    "existingConnectionId": "string",
    "oraclePdbName": "string",
    "isManualUri": false
  }
}
Response examples (200)
{
  "projectId": "string",
  "status": "RUNNING",
  "submittedAt": "2026-05-04T09:42:00Z"
}
Response examples (400)
{
  "errorType": "VALIDATION_ERROR",
  "message": "string",
  "timestamp": "2026-05-04T09:42:00Z",
  "issues": [
    {
      "type": "RELMIG_MAPPING_TARGET_FIELD_NAME_EMPTY",
      "message": "string",
      "pointer": "/project/content/mappings/0123456789abcdef0123456789abcdef/fields/Name/target/name"
    }
  ]
}
Response examples (409)
{
  "errorType": "VALIDATION_ERROR",
  "message": "string",
  "timestamp": "2026-05-04T09:42:00Z",
  "issues": [
    {
      "type": "RELMIG_MAPPING_TARGET_FIELD_NAME_EMPTY",
      "message": "string",
      "pointer": "/project/content/mappings/0123456789abcdef0123456789abcdef/fields/Name/target/name"
    }
  ]
}
Response examples (422)
{
  "errorType": "VALIDATION_ERROR",
  "message": "string",
  "timestamp": "2026-05-04T09:42:00Z",
  "issues": [
    {
      "type": "RELMIG_MAPPING_TARGET_FIELD_NAME_EMPTY",
      "message": "string",
      "pointer": "/project/content/mappings/0123456789abcdef0123456789abcdef/fields/Name/target/name"
    }
  ]
}
Response examples (500)
{
  "errorType": "VALIDATION_ERROR",
  "message": "string",
  "timestamp": "2026-05-04T09:42:00Z",
  "issues": [
    {
      "type": "RELMIG_MAPPING_TARGET_FIELD_NAME_EMPTY",
      "message": "string",
      "pointer": "/project/content/mappings/0123456789abcdef0123456789abcdef/fields/Name/target/name"
    }
  ]
}